Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 119112 - emerge --config www-apps/joomla-1.0.5 fails on some database names
Summary: emerge --config www-apps/joomla-1.0.5 fails on some database names
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Web Application Packages Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-15 12:00 UTC by Carl A. Dunham
Modified: 2006-01-16 10:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carl A. Dunham 2006-01-15 12:00:31 UTC
When prompted for a database name, try

    joomla-app1

which is a valid database name, but needs to be quoted to work properly. The following patch, more or less, should work:

--- /usr/portage/www-apps/joomla/joomla-1.0.5.ebuild    2006-01-07 11:12:46.000000000 -0500
+++ /tmp/joomla-1.0.5.ebuild    2006-01-15 14:59:03.000000000 -0500
@@ -85,5 +85,5 @@
    mysqladmin -u ${adminuser} ${host:+-h ${host}} -p create ${MY_DB} || die "Error creating database"
    mysql -u "${adminuser}" "${host:+-h ${host}}" -p \
        -e "GRANT SELECT,INSERT,UPDATE,DELETE,INDEX,ALTER,CREATE,DROP,REFERENCES
-       ON ${MY_DB}.* TO '${MY_USER}'@'${clientaddr}' IDENTIFIED BY '${mypwd}'; FLUSH PRIVILEGES;"  || die "Error initializing database. Please grant permissions manually."
+       ON `${MY_DB}`.* TO '${MY_USER}'@'${clientaddr}' IDENTIFIED BY '${mypwd}'; FLUSH PRIVILEGES;"  || die "Error initializing database. Please grant permissions manually."
 }
Comment 1 Renat Lumpau (RETIRED) gentoo-dev 2006-01-16 10:24:55 UTC
Thanks, fixed